package ben.namespace;

public class Line 
{
	public int x1, y1, x2, y2;
	
	public Line(int x1, int y1, int x2, int y2)
	{
		this.x1 = x1;
		this.y1 = y1;
		this.x2 = x2;
		this.y2 = y2;
	}
	public Line(Point point1, Point point2)
	{
		this(point1.x,point2.x,point1.y,point2.y);
	}
	
  	public double length()
  	//finds the length of line using pythagorean theorem
  	{
  		return Point.distance(getPoint1(), getPoint2());
  	}
  	
  	public Point getPoint1()
  	{
  		return new Point(x1,y1,0);
  	}
  	public Point getPoint2()
  	{
  		return new Point(x2,y2,0);
  	}
  	
}
